Name:           freedroid
Version:        1.0.2
Release:        2
Epoch:          0
Summary:        Clone of the C64 Game Paradroid

Group:          Amusements/Games
License:        GPL
URL:            http://freedroid.sourceforge.net/
Source0:        http://dl.sf.net/freedroid/freedroid-1.0.2.tar.gz
Source1:        %{name}.desktop
Patch0:         %{name}-cleaninst.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL_image-devel, SDL_mixer-devel, libjpeg-devel, libpng-devel
BuildRequires:  ImageMagick, libvorbis-devel, desktop-file-utils

%description
This is a clone of the classic game "Paradroid" on Commodore 64
with some improvements and extensions to the classic version.
In this game, you control a robot, depicted by a small white ball with
a few numbers within an interstellar spaceship consisting of several
decks connected by elevators.
The aim of the game is to destroy all enemy robots, depicted by small
black balls with a few numbers, by either shooting them or seizing
control over them by creating connections in a short subgame of
electric circuits.


%prep
%setup -q
%patch0 -p0


%build
%configure --datadir=%{_datadir}/games
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/games/freedroid/mac-osx
desktop-file-install \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
convert graphics/paraicon.bmp $RPM_BUILD_ROOT%{_datadir}/pixmaps/freedroid.png


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/games/freedroid
%{_mandir}/*/*


%changelog
* Sat Nov 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0.2-0.fdr.2
- BuildRequires desktop-file-utils.

* Mon Aug 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0.2-0.fdr.1
- Update to 1.0.2.

* Tue May 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0.1-0.fdr.1
- First Fedora release.

* Wed Apr 30 2003 Ted Cipicchio <ted@thereisnospork.com> 1.0.1-1mdk
- 1.0.1

* Mon Apr 28 2003 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-5mdk
- fix buildrequires

* Mon Apr 28 2003 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-4mdk
- fix distriblint warning

* Sat Apr 26 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.4-3mdk
- dropped Prefix tag
- compile with $RPM_OPT_FLAGS
- added icons

* Fri Dec 20 2002 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-2mdk
- add the manual to the docs

* Fri Dec 20 2002 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- initial package

